<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * @package     Admin.Datamanage.Design.Done
 * @access      public
 */
class Admin_Datamanage_Design_Done
{
    var $c_systeminfo;
    var $session;

    var $select_design_css;
    var $design_css;
    var $updcnt;

    var $title;
    var $pagename;

    function execute()
    {
        $data = $this->c_systeminfo->selectAll();
        if (!isset($this->select_design_css)) {
            $this->select_design_css = (empty($data[0]["design_css"])) ? "base" : $data[0]["design_css"];
        }

        $r = $this->c_systeminfo->design_update($this->design_css, $this->updcnt);
        if (!$r) {
            return 'error';
        }
        return 'success';
    }
}
?>
